# redfish_config – Manages Out-Of-Band controllers using Redfish APIs

New in version 2.7.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Builds Redfish URIs locally and sends them to remote OOB controllers to set or update a configuration attribute.
- Manages BIOS configuration settings.
- Manages OOB controller configuration settings.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
baseuri string / required |  | Base URI of OOB controller
bios_attribute_name string added in 2.8 | Default: "null" | name of BIOS attribute to update
bios_attribute_value raw added in 2.8 | Default: "null" | value of BIOS attribute to update
category string / required |  | Category to execute on OOB controller
command list / required |  | List of commands to execute on OOB controller
password string / required |  | Password for authentication with OOB controller
timeout integer added in 2.8 | Default: 10 | Timeout in seconds for URL requests to OOB controller
username string / required added in 2.8 |  | User for authentication with OOB controller

## Examples

    - name: Set BootMode to UEFI
      redfish_config:
        category: Systems
        command: SetBiosAttributes
        bios_attribute_name: BootMode
        bios_attribute_value: Uefi
        baseuri: "{{ baseuri }}"
        username: "{{ username }}"
        password: "{{ password }}"

    - name: Set BootMode to Legacy BIOS
      redfish_config:
        category: Systems
        command: SetBiosAttributes
        bios_attribute_name: BootMode
        bios_attribute_value: Bios
        baseuri: "{{ baseuri }}"
        username: "{{ username }}"
        password: "{{ password }}"

    - name: Enable PXE Boot for NIC1
      redfish_config:
        category: Systems
        command: SetBiosAttributes
        bios_attribute_name: PxeDev1EnDis
        bios_attribute_value: Enabled
        baseuri: "{{ baseuri }}"
        username: "{{ username }}"
        password: "{{ password }}"

    - name: Set BIOS default settings with a timeout of 20 seconds
      redfish_config:
        category: Systems
        command: SetBiosDefaultSettings
        baseuri: "{{ baseuri }}"
        username: "{{ username }}"
        password: "{{ password }}"
        timeout: 20

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | always | Message with action result or error description Sample: Action was successful

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Jose Delarosa (@jose-delarosa)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.